/*
 Theme Name:   Divi Child
 Theme URI:    http://cooldesign.co.za
 Description:  A Child Theme built for Divi
 Author:       Cool Design Digital Agency
 Author URI:   http://cooldesign.co.za
 Template:     Divi
 Version:      1
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/
/* =========================================================================================== 
   GENTLEMEN'S TONIC CLUBS
/* ===========================================================================================
/* GENERAL STYLING 
/* LINK UNDERLINE ON HOVER
================================================================= */
.link-hover-underline a:hover {
	border-bottom: solid 2px;
}

/* VERTICALLY ALIGN A COLUMN - FROM DIVI SPACE
================================================================= */
.col-vertical-align { 
    display: flex; 
    flex-direction: column; 
    justify-content: center;
} 

/* IMAGE ZOOM WITHIN BORDERS ON HOVER
================================================================== */
.image-zoom {
/*  overflow:hidden; */
}
.image-zoom img{
 transition: all 0.3s ease-in-out;
}
.image-zoom:hover img {
  transform: scale(1.05)
}

/* BUTTONS ALONGSIDE ONE ANOTHER
================================================================== */
.button-inline .et_pb_button_module_wrapper {
display: inline-block !important;
margin: 0 10px 20px 0;
}

.button-inline {
    text-align: center !important;
}

.button-inline-left .et_pb_button_module_wrapper {
display: inline-block !important;
margin: 0 10px 20px 0;
}

.button-inline-left {
    text-align: left !important;
}

/* MY ACCOUNT BUTTON SPACING - View, 
================================================================== */
.woocommerce-page.et_pb_button_helper_class a.button {
	margin-right: 10px !important;
}





/* YITH HIDE CUSTOMER DEPOSIT FORM
================================================================== */
.yith-funds-endpoint-charge-account {
    display: none;
}

/* WOO CHECKOUT PAYMENT SETTINGS
================================================================== 
.woocommerce-order-details__title,
.woocommerce-column__title,
.woocommerce-order-details, 
.woocommerce-column.woocommerce-column--1.woocommerce-column--billing-address.col-1,
.woocommerce-column.woocommerce-column--2.woocommerce-column--shipping-address.col-2 {
	color: #ffffff;
}

.woocommerce .woocommerce-customer-details address,
.woocommerce table.shop_table, th, td {
	border: 1px solid #ffffff;
}

.woocommerce-table__product-name.product-name a {
	color: #ffffff;
}

/* ===========================================================================================
/* GALLERY STYLING
/* ===========================================================================================
 * 
 * /* MAKE CLOSE 'X' PERMANENTLY VISIBLE AND BIGGER ON LIGHTBOX IMAGES
================================================================== */
button.mfp-close	{
	opacity: 1 !important;
	color: white !important;
}
.mfp-iframe-holder .mfp-close, .mfp-image-holder .mfp-close {
	font-size: 35px !important;
	line-height: 1em !important;
	font-weight: bold;	
}

/* DO THE SAME ON THE PRIVACY POLICY POPUP
------------------------------------------------------------------ */
.da-close	{
	background-color: #eee !important;
	font-size: 30px !important;
	margin-top: 10px;
	margin-right: 20px;
		padding: 4px;
	border: solid 1px #000;
	border-radius: 50%;
}

/* ===========================================================================================
   BUTTON STYLES
/* ===========================================================================================
/* Scroll to Top button
================================================================= */
.et_pb_scroll_top.et-pb-icon {
	background: #595959; /* grey */	
}

/* ===========================================================================================
   BULLET STYLES
/* ===========================================================================================
/* BULLET LIST FOR NORMAL ITEMS WITH 8PX SPACE BETEEN BULLET ROWS (without affecting bullet line-height)
================================================================= */
/* Used in info boxes on the HOME page */
ul.spaced-list li {
		padding-bottom: 8px;
}

/* BULLET LIST FOR LINKED ITEMS WITH 10PX SPACE BETEEN BULLET ROWS (without affecting bullet line-height)
================================================================= */
/* For Desktops */
@media only screen and ( min-width: 1101px ) { 
	ul.spaced-linked-list li {
		padding-bottom: 10px;
		padding-left: 5px;
	}
}

/* For Tablets and Phones */
@media only screen and ( max-width: 1100px ) { 
	ul.spaced-linked-list li {
		padding-bottom: 30px;
		padding-left: 5px;		
	}
}

/* BULLET LIST WITH 5 PIXEL SPACE BETWEEN BULLET AND TEXT ON EACH ROW
================================================================= */
ul.padding-left-five li {
	padding-left: 5px;
}

/* SQUARE PURPLE BULLET IMAGE
================================================================= */
.image-purple {
	list-style-image: url("/wp-content/uploads/2024/08/purple-square-bullet.png");
	padding-left: 10px;
}

/* ===========================================================================================
/* HEADER STYLING
/* ===========================================================================================
/* INCREASE THE SPACE BETWEEN THE MENU AND CENTRED LOGO
================================================================== */
.et_header_style_centered #main-header div#et-top-navigation {
	padding-bottom: 5px;
	position: relative;
	width: 100%;
	top: 5px;
}

/* ===========================================================================================
/* MENU STYLING
/* ===========================================================================================
/* PLACE A FIXED UNDERLINE UNDER THE ACTIVE MENU ITEM - BUT NOT 'MY ACCOUNT'
------------------------------------------------------------------------------ */
#top-menu .current-menu-item:not(.menu-item-241706):not(.menu-item-242423) > a {
    text-decoration: underline solid white 2px;
    text-underline-offset: 5px;
}

/* MY ACCOUNT MENU ITEM - WHITE OVAL BORDER - LIKE A BUTTON
================================================================= */
li.solid-bg-menu-item a {
    border: 2px solid #fff !important;
    padding-bottom: 10px!important;
    padding-left: 15px;
    padding-right: 15px;
    margin-bottom: 15px;
    border-radius: 10em;
    padding-top: 12px;
    border: none;
}

/* HANBURGER MENU IN WHITE 
================================================================= */
.mobile_menu_bar:before {
	color: #ffffff; /* White color */
}

/* ===========================================================================================
   GRAVITY FORMS CUSTOMISATION
/* ===========================================================================================
/* GRAVITY FORMS - REMOVE LABEL ON FIELDS USING PLACEHOLDER 
================================================================= */ 
.gform_wrapper .top_label .gfield_label,
.gform_wrapper .field_sublabel_below .ginput_complex.ginput_container label {	
	display: none !important;
}
	
/* GRAVITY FORMS - FIELD STYLING
=================================================================
 User #gform_wrapper_1 for specific forms 
 User .gform_wrapper for all forms 
*/

body .gform_wrapper .gform_body .gform_fields .gfield input[type="text"],
body .gform_wrapper .gform_body .gform_fields .gfield input[type="email"], 
body .gform_wrapper .gform_body .gform_fields .gfield input[type="tel"], 
body .gform_wrapper .gform_body .gform_fields .gfield textarea {
	background: #ffffff;
	border: solid 1px #bbbbbb;
	border-radius: 0;
	color: #333 !important;
	padding: 10px 15px !important;
/*	box-shadow: 1px 1px 3px #d2d2d2; */
}

/* Make Placeholder text darker
----------------------------------------------------------------- */ 
body .gform_wrapper ::placeholder,
body .gform_wrapper ::-webkit-input-placeholder,
body .gform_wrapper input[placeholder] {
  color: #000;
  opacity: 1;
}

/* GRAVITY FORMS - 'SEND MESSAGE' BUTTON STYLING 
================================================================= 
body .gform_wrapper .gform_footer input[type=submit] { 
	width: 98.5%;
} 
*/

body .gform_wrapper .gform_footer input[type=submit] { 
/*	float: right; */
	color: #fff;
	background: #595959; /* grey */
	font-size: 16px;
	letter-spacing: 1px;
	text-transform: uppercase;
/*	padding: 12px 23px; standard size button */
	border-radius: 50px;
	padding: 10px 40px;
	cursor: pointer;
	border: solid 1px #777; 
}

/* Change to darker pink ON HOVER
----------------------------------------------------------------- */
body .gform_wrapper .gform_footer input:hover[type=submit] {
	background: #222222; /* darker grey */
}

/* ===========================================================================================
   SIDEBAR WIDGETS
/* ===========================================================================================
/* WOOCOMMERCE PRODUCT SEACRH
================================================================= */ 
#woocomerce_product_search-2 {
	font-size: 14px;
	font-weight: 600;
	background-color: #efd2cf important;
	margin-left: 10px;
	padding: 10px;
	border: 1px solid #444444;
}

